SDL_PushGPUVertexUniformData(3)

NAME
SDL_PushGPUVertexUniformData - Pushes data to a vertex uniform slot on the command buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_PushGPUVertexUniformData(
    SDL_GPUCommandBuffer *command_buffer,
    Uint32 slot_index,
    const void *data,
    Uint32 length);

DESCRIPTION
Subsequent draw calls will use this uniform data.

The data being pushed must respect std140 layout conventions. In practical terms this means you must ensure that vec3 and vec4 fields are 16-byte aligned.

FUNCTION PARAMETERS

command_buffer
    a command buffer.

slot_index
    the vertex uniform slot to push data to.

data
    client data to write.

length
    the length of the data to write.

AVAILABILITY
This function is available since SDL 3.2.0.